MsWrdStruct Namespace Reference documentation

Classes | Functions
MsWrdStruct Namespace Reference

namespace to store the main structure which appears in a Microsoft Word 3.0-5.0 file More...

## Classes
struct | Font
| the font structure of a Microsoft Word file More...
struct | Paragraph
| the paragraph structure of a Microsoft Word file More...
struct | ParagraphInfo
| the paragraph information of a Microsoft Word file (PHE) More...
struct | Section
| the section structure of a Microsoft Word file More...
struct | Table
| the table in a Microsoft Word file More...

## Functions
std::ostream & | operator<< (std::ostream &o, Font const &font)
std::ostream & | operator<< (std::ostream &o, Section const &section)
std::ostream & | operator<< (std::ostream &o, Table::Cell const &cell)
std::ostream & | operator<< (std::ostream &o, Table const &table)
std::ostream & | operator<< (std::ostream &o, Paragraph const &ind)
MWAWBorder | getBorder (int val, std::string &extra)
| generic function use to fill a border using the read data

## Detailed Description

namespace to store the main structure which appears in a Microsoft Word 3.0-5.0 file

## Function Documentation

## ◆ getBorder()

MWAWBorder MsWrdStruct::getBorder | ( | int | val,
|  | std::string & | extra )

generic function use to fill a border using the read data

Referenced by MsWrdStruct::Table::read(), and MsWrdStruct::Paragraph::read().

## ◆ operator<<() [1/5]

std::ostream & MsWrdStruct::operator<< | ( | std::ostream & | o,
|  | Font const & | font )

## ◆ operator<<() [2/5]

std::ostream & MsWrdStruct::operator<< | ( | std::ostream & | o,
|  | Paragraph const & | ind )

## ◆ operator<<() [3/5]

std::ostream & MsWrdStruct::operator<< | ( | std::ostream & | o,
|  | Section const & | section )

## ◆ operator<<() [4/5]

std::ostream & MsWrdStruct::operator<< | ( | std::ostream & | o,
|  | Table const & | table )

## ◆ operator<<() [5/5]

std::ostream & MsWrdStruct::operator<< | ( | std::ostream & | o,
|  | Table::Cell const & | cell )